{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <title>{% block title %}Social Network{% endblock %}</title>
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a class="navbar-brand" href="{% url 'index' %}">Home</a>
          
            <div>
              <ul class="navbar-nav mr-auto">
                {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="#"><strong>{{ user.username }}</strong></a>
                    </li>
					{% if user.user_role.roles == 'h' %}
						<li class="nav-item">
							<a class="nav-link" href="{% url 'lowongan' %}">Lowongan</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="{% url 'list_pelamar' %}">Pelamar</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="{% url 'hasil_test' %}">Hasil Test</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="{% url 'logout' %}">Log Out</a>
						</li>
					{% elif user.user_role.roles == 'p' %}
						<li class="nav-item">
							<a class="nav-link" href="{% url 'all_jobs' %}">Lowongan Pekerjaan</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="{% url 'lowongan_saya' %}">Lowongan Saya</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="{% url 'logout' %}">Log Out</a>
						</li>
					{% elif user.user_role.roles == 'k' %}
						<li class="nav-item">
							<a class="nav-link" href="{% url 'list_test' %}">Test Pelamar</a>
						</li>
						<li class="nav-item">
							<a class="nav-link" href="{% url 'logout' %}">Log Out</a>
						</li>
					{% endif %}
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">Log In</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'register' %}">Register</a>
                    </li>
                {% endif %}
              </ul>
            </div>
          </nav>
        
        <div class="body">
            {% block body %}
            {% endblock %}
        </div>
    </body>
	{% block script %}
	{% endblock %}
</html>